﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "ADXFunction 클래스 : ADX(Average Directioinal Movement Index) 지수 차트 그리기";

            this.tChart.Panel.Pen               = new ChartPen(Color.Black);
            this.tChart.Axes.Left.StartPosition = 0d;
            this.tChart.Axes.Left.EndPosition   = 55d;
            this.tChart.Legend.Visible          = false;

            Axis axis = new Axis();

            axis.Horizontal    = false;
            axis.OtherSide     = false;
            axis.StartPosition = 60d;
            axis.EndPosition   = 100d;

            this.tChart.Axes.Custom.Add(axis);

            Candle candle = new Candle(this.tChart.Chart);

            candle.FillSampleValues(300);

            ADXFunction adxFunction = new ADXFunction(this.tChart.Chart);

            adxFunction.DMUp.VertAxis         = VerticalAxis.Custom;
            adxFunction.DMUp.CustomVertAxis   = axis;
            adxFunction.DMDown.VertAxis       = VerticalAxis.Custom;
            adxFunction.DMDown.CustomVertAxis = axis;
            adxFunction.Period                = 14d;

            Line line = new Line(this.tChart.Chart);

            line.VertAxis       = VerticalAxis.Custom;
            line.CustomVertAxis = axis;
            line.DataSource     = candle;
            line.Function       = adxFunction;
        }

        #endregion
    }
}